Subject: Re: bug#37667: 27.0.50; Tab Bar display problems with more than 5 tabs

From: Juri Linkov <[email-masked]>
Date: Mon, 14 Oct 2019 01:31:00 +0300

>> 1. Use something like word-wrap in the tab-bar to wrap
>>     to the second line non-broken tabs at tab boundaries;
>
> That's what I did in frame-tabs.el.  There I tried to use U-200B as
> separator but word-wrap couldn't handle it.

word-wrap wraps at word boundary that sometimes might be inside the tab name
when tab name contains spaces (tested frame-tabs.el on customization buffers
whose names contain a lot of spaces).

>> 2. Disable wrapping to the second line since it's not supported in -nw;
>
> -nw should support it.

Sorry, I don't understand the meaning of "should".
Does this mean -nw already supports it but its support is not used?

>> 3. Then truncate tab names to fit all tabs into the first line;
>
> Rather not.

But all web browsers truncate tab names.

>> 4. Or don't truncate but allow scrolling tabs with mouse wheel;
>
> IIRC XEmacs had that with the mode line.  Not really useful IMHO.

BTW, is there a reason why the mode line doesn't use a variable-pitch font?

I tried a variable-pitch font for tab bars, and it looks good
and makes tab widths smaller, so more tabs fits into the tab-bar.

But maybe non-monospace fonts might complicate calculation of various
text lengths when trying to fit tabs into the tab-bar.